%global _empty_manifest_terminate_build 0
Name:		python-pydocstyle
Version:	6.3.0
Release:	1
Summary:	Python docstring style checker
License:	MIT
URL:		https://github.com/PyCQA/pydocstyle/
Source0:	https://github.com/PyCQA/pydocstyle/archive/refs/tags/%{release}.tar.gz#/pydocstyle-%{version}.tar.gz
BuildArch:	noarch


%description
pydocstyle is a static analysis tool for checking compliance with Python docstring conventions.
pydocstyle supports most of PEP 257 out of the box, but it should not be considered a reference implementation.

%package -n python3-pydocstyle
Summary:	Python docstring style checker
Provides:	python-pydocstyle = %{version}-%{release}
BuildRequires:	python3-devel python3-setuptools
Requires:	python3-snowballstemmer python3-toml
%description -n python3-pydocstyle
pydocstyle is a static analysis tool for checking compliance with Python docstring conventions.
pydocstyle supports most of PEP 257 out of the box, but it should not be considered a reference implementation.

%package help
Summary:	Development documents and examples for pydocstyle
Requires:	python3-pydocstyle
Provides:	python3-pydocstyle-doc
%description help
pydocstyle is a static analysis tool for checking compliance with Python docstring conventions.
pydocstyle supports most of PEP 257 out of the box, but it should not be considered a reference implementation.

%prep
%autosetup -n pydocstyle-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pydocstyle -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Feb 20 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 6.3.0-1
- Update package to version 6.3.0

* Fri Jul 16 2021 Kou Wenqi <kouwenqi@kylinos.cn> - 6.1.1-1
- Init package
